# evennia.server.profiling.timetrace

Trace a message through the messaging system

`evennia.server.profiling.timetrace.``timetrace`(message, idstring, tracemessage='TEST_MESSAGE', final=False)

  Trace a message with time stamps.

  Parameters

    - message (str) – The actual message coming through

    - idstring (str) – An identifier string specifying where this trace is happening.

    - tracemessage (str) – The start of the message to tag. This message will get attached time stamp.

    - final (bool) – This is the final leg in the path - include total time in message